System 2.0.0.0 4.0.0.0 System.Enum System.Flags

This enumeration is used to specify the method used to authenticate client requests being processed by objects.

Note Basic authentication requires the exchange of a password and should therefore be avoided except in the case of secure, encrypted connections.

Specifies protocols for authentication.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.AuthenticationSchemes

  Specifies anonymous authentication.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.AuthenticationSchemes

  For additional information, see RFC2617 – HTTP Authentication: Basic and Digest Authentication. This document is available at http://www.rfc-editor.org.

  Specifies basic authentication.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.AuthenticationSchemes

  For additional information, see RFC2617 – HTTP Authentication: Basic and Digest Authentication. This document is available at http://www.rfc-editor.org

  Specifies digest authentication.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.AuthenticationSchemes

  Specifies Windows authentication.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.AuthenticationSchemes

  Negotiates with the client to determine the authentication scheme. If both client and server support Kerberos, it is used; otherwise, NTLM is used.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.AuthenticationSchemes

  No authentication is allowed. A client requesting an object with this flag set will always receive a 403 Forbidden status. Use this flag when a resource should never be served to a client.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.AuthenticationSchemes

  Specifies NTLM authentication.